Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/FieldType.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository;
8
9 use eZ\Publish\API\Repository\Values\ContentType\FieldDefinition;
10 use eZ\Publish\SPI\FieldType\Value;
11
17 interface FieldType
18 {
24 public function getFieldTypeIdentifier();
25
35 public function getName($value);
36
56 public function getSettingsSchema();
57
97 public function getValidatorConfigurationSchema();
98
104 public function isSearchable();
105
111 public function isSingular();
112
118 public function onlyEmptyInstance();
119
125 public function getEmptyValue();
126
140 public function isEmptyValue($value);
141
151 public function fromHash($hash);
152
160 public function toHash($value);
161
169 public function fieldSettingsToHash($fieldSettings);
170
180 public function fieldSettingsFromHash($fieldSettingsHash);
181
189 public function validatorConfigurationToHash($validatorConfiguration);
190
199 public function validatorConfigurationFromHash($validatorConfigurationHash);
200
211 public function validateValidatorConfiguration($validatorConfiguration);
212
223 public function validateFieldSettings($fieldSettings);
224
233 public function validateValue(FieldDefinition $fieldDef, Value $value);
234 }
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition
Definition: API/Repository/Values/ContentType/FieldDefinition.php:31
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Value
Struct that stores extra value information for a Criterion object.
Definition: API/Repository/Values/Content/Query/Criterion/Value.php:13
eZ\Publish\API\Repository\FieldType
Interface that FieldTypes expose to the public API.
Definition: API/Repository/FieldType.php:18
eZ\Publish\API\Repository\FieldType\validateValue
validateValue(FieldDefinition $fieldDef, Value $value)
Validates a field value based on the validator configuration in the field definition.
eZ\Publish\API\Repository\FieldType\fromHash
fromHash($hash)
Converts an $hash to the Value defined by the field type.
eZ\Publish\API\Repository\FieldType\fieldSettingsToHash
fieldSettingsToHash($fieldSettings)
Converts the given $fieldSettings to a simple hash format.
eZ\Publish\API\Repository\FieldType\isSearchable
isSearchable()
Indicates if the field type supports indexing and sort keys for searching.
eZ\Publish\API\Repository\FieldType\getValidatorConfigurationSchema
getValidatorConfigurationSchema()
Returns a schema for the validator configuration expected by the FieldType.
eZ\Publish\API\Repository\FieldType\isEmptyValue
isEmptyValue($value)
Returns if the given $value is considered empty by the field type.
eZ\Publish\API\Repository\FieldType\getEmptyValue
getEmptyValue()
Returns the empty value for this field type.
eZ\Publish\API\Repository\FieldType\validateFieldSettings
validateFieldSettings($fieldSettings)
Validates the fieldSettings of a FieldDefinitionCreateStruct or FieldDefinitionUpdateStruct.
eZ\Publish\API\Repository\FieldType\toHash
toHash($value)
Converts the given $value into a plain hash format.
eZ\Publish\API\Repository\FieldType\getName
getName($value)
Returns a human readable string representation from the given $value.
eZ\Publish\API\Repository\FieldType\validatorConfigurationToHash
validatorConfigurationToHash($validatorConfiguration)
Converts the given $validatorConfiguration to a simple hash format.
eZ\Publish\API\Repository\FieldType\fieldSettingsFromHash
fieldSettingsFromHash($fieldSettingsHash)
Converts the given $fieldSettingsHash to field settings of the type.
eZ\Publish\API\Repository\FieldType\validatorConfigurationFromHash
validatorConfigurationFromHash($validatorConfigurationHash)
Converts the given $validatorConfigurationHash to a validator configuration of the type.
eZ\Publish\API\Repository\FieldType\validateValidatorConfiguration
validateValidatorConfiguration($validatorConfiguration)
Validates the validatorConfiguration of a FieldDefinitionCreateStruct or FieldDefinitionUpdateStruct.
eZ\Publish\API\Repository\FieldType\getSettingsSchema
getSettingsSchema()
Returns a schema for the settings expected by the FieldType.
eZ\Publish\API\Repository\FieldType\isSingular
isSingular()
Indicates if the field definition of this type can appear only once in the same ContentType.
eZ\Publish\API\Repository\FieldType\onlyEmptyInstance
onlyEmptyInstance()
Indicates if the field definition of this type can be added to a ContentType with Content instances.
eZ\Publish\API\Repository\FieldType\getFieldTypeIdentifier
getFieldTypeIdentifier()
Returns the field type identifier for this field type.
eZ\Publish\SPI\FieldType\Value
Interface for field value classes.
Definition: SPI/FieldType/Value.php:13
eZ\Publish\API\Repository
Definition: API/Repository/BookmarkService.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.